Bug 427981 - perms on /etc/bugzilla
perms on /etc/bugzilla
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bugzilla (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: John Berninger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-08 08:41 EST by Denise Dumas
Modified: 2008-05-13 11:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.0.4-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-10 09:51:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2008-01-08 08:41:11 EST
Description of problem:

Setting up a bugzilla test server, /usr/share/bugzilla/checksetup.pl
is generating the file /etc/bugzilla/localconfig.
This file is world readable if no special umask is set and usually contains
the password of the database.

This should be noted in the docs. Also checksetup.pl could change the
perms on the file together with setting up e.g. /usr/share/bugzilla and
other perm changes.
Or maybe the /etc/bugzilla/ dir could be shipped with other perms by
default, to make sure security is not a concern.

??? I don't think this is a real security flaw, but soemthing you could
think about improving in the rpm packages.

regards,

Florian La Roche


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Fedora Update System 2008-05-09 10:05:24 EDT
bugzilla-3.0.4-1.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-05-09 10:06:47 EDT
bugzilla-3.0.4-1.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-05-09 10:08:08 EDT
bugzilla-3.0.4-1.fc9 has been submitted as an update for Fedora 9
Comment 5 Fedora Update System 2008-05-10 09:51:19 EDT
bugzilla-3.0.4-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-05-10 09:57:22 EDT
bugzilla-3.0.4-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-05-13 11:26:48 EDT
bugzilla-3.0.4-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.